Skip to main content

PATCH /functions/rest/v1/functions/{id} REST API Endpoint

Loading...

Updated on
Oct 20, 2025

PATCH /functions/rest/v1/functions/{id} REST API Endpoint

Path Parameters

id
string
REQUIRED
Loading...

Body Parameters

description
string
Loading...
kind
string
Loading...
code
string
Loading...
binary
boolean
Loading...
limits
object
Loading...
timeout
integer
Loading...

Returns

id
string
Loading...
name
string
Loading...
description
string
Loading...
created_at
string
Loading...
updated_at
string
Loading...
qn_account_id
string
Loading...
exec
object
Loading...
kind
string
Loading...
code
string
Loading...
binary
boolean
Loading...
limits
object
Loading...
timeout
integer
Loading...
Request
1
curl -X PATCH \
2
"https://api.quicknode.com/functions/rest/v1/functions/{id}" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"description": "MyFunction Description",
8
"kind": "nodejs-qn:20",
9
"code": "ZnVuY3Rpb24gbWFpbihwYXJhbXMpIHsKICAgIC8vIEV4dHJhY3QgZGF0YXNldCBhbmQgbmV0d29yayBmcm9tIG1ldGFkYXRhIGluIHBhcmFtcwogICAgY29uc3QgZGF0YXNldCA9IHBhcmFtcy5tZXRhZGF0YS5kYXRhc2V0OwogICAgY29uc3QgbmV0d29yayA9IHBhcmFtcy5tZXRhZGF0YS5uZXR3b3JrOwoKICAgIGNvbnNvbGUubG9nKGBUaGlzIGlzIGEgbG9nIGZyb20gdGhlICR7ZGF0YXNldH0gZGF0YXNldCBvbiB0aGUgJHtuZXR3b3JrfSBuZXR3b3JrLmApOwoKICAgIHJldHVybiB7IAogICAgICAgIG1lc3NhZ2U6IGBUaGlzIGlzIHRoZSByZXR1cm4gZnJvbSB0aGUgJHtkYXRhc2V0fSBkYXRhc2V0IG9uIHRoZSAke25ldHdvcmt9IG5ldHdvcmsuYCwKICAgICAgICBwYXJhbXMKICAgIH07Cn0=",
10
"binary": false,
11
"limits": {
12
"timeout": 5000
13
}
14
}'
15
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free